unsatisfied libappindicator { re: install of mailspring )

Ответить
Аватара пользователя
rickin
Сообщения: 31
Зарегистрирован: 06 мар 2018, 16:22
Operating system: Linux dx 4.9.76-nrj-desktop-1rosa-x86_64

unsatisfied libappindicator { re: install of mailspring )

Сообщение rickin » 17 май 2018, 05:29

Hi all :)

I am trying to understand how to install https://getmailspring.com/ [ Mail Spring ] on ROSA Fresh.

The package is a RPM. When I try to install I get message
unsatisfied libappindicator
This is what I have tried;
mbt@mbt ~ $ urpmi --keep mailspring-1.2.1-0.1.x86_64.rpm
A requested package cannot be installed:
mailspring-1.2.1-0.1.x86_64 (due to unsatisfied libappindicator)
Continue installation anyway? (Y/n) n
WARNING: --keep option is in use. Some strange problems may happen
While some packages may have been installed, there were failures.
A requested package cannot be installed:
mailspring-1.2.1-0.1.x86_64 (due to unsatisfied libappindicator)
Continue installation anyway?
mbt@mbt ~ $ urpmi libappindicator
No package named libappindicator
The following packages contain libappindicator: libappindicator-devel, libappindicator-gir0.1, libappindicator1, libappindicator3-devel, ...
You should use "-a" to use all of them
mbt@mbt ~ $ urpmi libappindicator -a
Packages libappindicator3-devel-12.10.0-8-rosa2016.1.i586, libappindicator1-12.10.0-8-rosa2016.1.i586, libappindicator-gir0.1-12.10.0-8-rosa2016.1.i586, libappindicator-devel-12.10.0-8-rosa2016.1.i586, libappindicator3-gir0.1-12.10.0-8-rosa2016.1.i586, libappindicator3_1-12.10.0-8-rosa2016.1.i586 are already installed
mbt@mbt ~ $


Screen shot attached.

Can someone advise how I might be able to fix.
I have not tried to run by using Continue installation anyway? (Y/n) n

Thanks all !!!

_______________________________________________________________________________________________________________________

Привет всем :)

Я пытаюсь понять как устанавливать https://getmailspring.com/ [ Mail ] Весна на роса.

Пакет представляет собой ОБ/МИН. При попытке установки Я получаю сообщение
неудовлетворенной libappindicator
Это то, что я попробовал;
mbt@mbt ~ $ urpmi --не mailspring-1.2.1-0.1.x86_64.rpm
запрашиваемый пакет не может быть установлена:
mailspring-1.2.1-0.1.x86_64 (из-за неудовлетворенной libappindicator)
Продолжить установку? (Y/n) n
Предупреждение: - не вариант. Какие-то странные проблемы могут случиться
некоторые пакеты, которые могли быть установлены, были сбои.
Запрашиваемый пакет не может быть установлена:
mailspring-1.2.1-0.1.x86_64 (из-за неудовлетворенной libappindicator)
Продолжить установку?
Mbt@mbt ~ $ urpmi libappindicator
нет пакет под названием libappindicator
следующие пакеты содержат libappindicator: libappindicator-devel, libappindicator, gir0.1 libappindicator,1, libappindicator3-devel, ...
вы должны использовать "-a", чтобы использовать все из них
mbt@mbt ~ $ urpmi libappindicator -
Пакеты libappindicator3-devel-12.10.0-8-Роза2016.1.i586, libappindicator1-12.10.0-8-Роза2016.1.i586, libappindicator-gir0.1-12.10.0-8-Роза2016.1.i586, libappindicator-devel-12.10.0-8-Роза2016.1.i586, libappindicator3-gir0.1-12.10.0-8-Роза2016.1.i586, libappindicator3_12.10.0-8-Роза2016.1.i586 уже установлены
mbt@mbt ~ $
снимок экрана.

Кто может посоветовать, как я мог бы исправить.
Я не попытался запустить с помощью продолжить установку? (Y/n) n

Спасибо всем !!!
Вложения
rosaforums.mailclientquestion.png

Аватара пользователя
VictorR2007
Сообщения: 5311
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение VictorR2007 » 17 май 2018, 06:27

This package is only for x86_64 systems.
You can install this way.
In the folder with the package, open the console

Код: Выделить всё

bash-4.4$ su
Пароль: 
asus Загрузки # rpm -Uvh mailspring-1.2.1-0.1.x86_64.rpm
error: Failed dependencies:
        lsb-core-noarch нужен для mailspring-1.2.1-0.1.x86_64
        libappindicator нужен для mailspring-1.2.1-0.1.x86_64
asus Загрузки # urpmi sb-core-noarch
asus Загрузки # urpmi urpmi lib64appindicator-gir0.1

asus Загрузки # rpm -Uvh --nodeps mailspring-1.2.1-0.1.x86_64.rpm
Подготовка...     ########################################### [100%]
   1:mailspring             ########################################### [100%]
asus Загрузки # 
asus Загрузки # exit
exit
bash-4.4$ mailspring
shared memfd open() failed: Функция не реализована
Running database migrations
App load time: 323ms
Working.

Аватара пользователя
rickin
Сообщения: 31
Зарегистрирован: 06 мар 2018, 16:22
Operating system: Linux dx 4.9.76-nrj-desktop-1rosa-x86_64

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение rickin » 17 май 2018, 08:21

Thanks @Victor.

I followed what you said. However I have then had the following happen.
mbt mbt # rpm -Uvh --nodeps mailspring-1.2.1-0.1.x86_64.rpm
Preparing... ########################################### [100%]
1:mailspring ########################################### [100%]
mbt mbt # mailspring
XDG_RUNTIME_DIR (/run/user/500) is not owned by us (uid 0), but by uid 500! (This could e g happen if you try to connect to a non-root PulseAudio as a root user, over the native protocol. Don't do that.)
Running database migrations
App load time: 242ms

Running Setup
{"error":null}
Manual update check (updates.getmailspring.com/check/linux/x64/1.2.1-7e7447b6/anonymous/stable) returned 204
^Z
[1]+ Stopped mailspring
mbt mbt # urpmi libsecret
No package named libsecret
The following packages contain libsecret: libsecret-devel, libsecret-gir1, libsecret-tools, libsecret1_0
You should use "-a" to use all of them
mbt mbt # urpmi libsecret -a
To satisfy dependencies, the following packages are going to be installed:
Package Version Release Dist DEpoch Arch
(medium "Main")
libsecret-tools 0.18.5 3 rosa 2016.1 x86_64
(medium "Main32")
libsecret-devel 0.18.5 3 rosa 2016.1 i586
libsecret-gir1 0.18.5 3 rosa 2016.1 i586
libsecret1_0 0.18.5 3 rosa 2016.1 i586
1.9MB of additional disk space will be used.
225KB of packages will be retrieved.
Proceed with the installation of the 4 packages? (Y/n) y
http://mirror.rosalab.ru/rosa/rosa2016. ... x86_64.rpm
http://mirror.rosalab.ru/rosa/rosa2016. ... 1.i586.rpm
http://mirror.rosalab.ru/rosa/rosa2016. ... 1.i586.rpm
http://mirror.rosalab.ru/rosa/rosa2016. ... 1.i586.rpm


installing libsecret-gir1-0.18.5-3-rosa2016.1.i586.rpm libsecret-devel-0.18.5-3-rosa2016.1.i586.rpm libsecret-tools-0.18.5-3-rosa2016.1.x86_64.rpm libsecret1_0-0.18.5-3-rosa2016.1.i586.rpm from /var/cache/urpmi/rpms
Preparing... ##################################################################################################################
1/4: libsecret-tools ##################################################################################################################
2/4: libsecret1_0 ##################################################################################################################
3/4: libsecret-gir1 ##################################################################################################################
4/4: libsecret-devel ##################################################################################################################
mbt mbt # mailspring
XDG_RUNTIME_DIR (/run/user/500) is not owned by us (uid 0), but by uid 500! (This could e g happen if you try to connect to a non-root PulseAudio as a root user, over the native protocol. Don't do that.)
Running database migrations
App load time: 20274ms

{"error":null}
Manual update check (updates.getmailspring.com/check/linux/x64/1.2.1-7e7447b6/anonymous/stable) returned 204
{ Error: The connection is closed message: 'The connection is closed' } { pluginIds: [] }
[1]+ Killed mailspring
mbt mbt #
So I am unsure if it is the keyring I am missing or the wrong Libsecret .

What are your thoughts ?

Thanks !
mailspring.png

Аватара пользователя
VictorR2007
Сообщения: 5311
Зарегистрирован: 12 сен 2011, 13:00
Operating system: ROSA 2016.1
Откуда: Северодвинск

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение VictorR2007 » 17 май 2018, 18:48

Need package lib64secret1_0.
X86_64 system and libraries are usually needed lib64.

Аватара пользователя
rickin
Сообщения: 31
Зарегистрирован: 06 мар 2018, 16:22
Operating system: Linux dx 4.9.76-nrj-desktop-1rosa-x86_64

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение rickin » 17 май 2018, 22:31

mbt@mbt ~ $ urpmi lib64secret1_0
Package lib64secret1_0-0.18.5-3-rosa2016.1.x86_64 is already installed
Marking lib64secret1_0 as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
mbt@mbt ~ $

Its already installed :x

banzay242
Сообщения: 726
Зарегистрирован: 18 авг 2017, 10:50
Operating system: MATE в релизе R10
Откуда: Уфа Омск

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение banzay242 » 18 май 2018, 14:33

откуда устанавливали?
посмотрите выход команды:
sudo urpm-reposync --detailed

Аватара пользователя
rickin
Сообщения: 31
Зарегистрирован: 06 мар 2018, 16:22
Operating system: Linux dx 4.9.76-nrj-desktop-1rosa-x86_64

Re: unsatisfied libappindicator { re: install of mailspring )

Сообщение rickin » 22 май 2018, 19:07

Hi,

mbt@mbt ~ $ sudo urpm-reposync --detailed
Loading the list of installed packages...
Processing medium Main...
Processing medium Main Updates...
Processing medium Main32...
Processing medium Main32 Updates...
Processing medium Contrib...
Processing medium Contrib Updates...
Processing medium Non-free...
Processing medium Non-free Updates...
Processing medium Non-free32...
Processing medium Non-free32 Updates...
Processing medium Restricted...
Processing medium Restricted Updates...
Processing medium Restricted32...
Processing medium Restricted32 Updates...
Processing medium Main3...
Processing medium Main Updates3...
Processing medium Main323...
Processing medium Main32 Updates3...
Processing medium Contrib3...
Processing medium Contrib Updates3...
Processing medium Non-free3...
Processing medium Non-free Updates3...
Processing medium Non-free323...
Processing medium Non-free32 Updates3...
Processing medium Restricted3...
Processing medium Restricted Updates3...
Processing medium Restricted323...
Processing medium Restricted32 Updates3...
Processing medium Main3...
Processing medium Main Updates3...
Processing medium Main323...
Processing medium Main32 Updates3...
Processing medium Contrib3...
Processing medium Contrib Updates3...
Processing medium Non-free3...
Processing medium Non-free Updates3...
Processing medium Non-free323...
Processing medium Non-free32 Updates3...
Processing medium Restricted3...
Processing medium Restricted Updates3...
Processing medium Restricted323...
Processing medium Restricted32 Updates3...
Computing actions list...
Nothing to do
mbt@mbt ~ $

Ответить